## org.gnu.gdk
Class EventExpose

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gdk.Event
                  org.gnu.gdk.EventExpose

public class EventExpose
extends Event

Constructor Summary
`EventExpose(Event evt)` Promotion constructor.
`EventExpose(org.gnu.glib.Handle handle)`

Method Summary
`Rectangle` `getArea()`
`int` `getCount()`
`static EventExpose` `getEventExpose(org.gnu.glib.Handle handle)` To be used internally by Java-Gnome only.
`Region` `getRegion()`
`boolean` `getSendEvent()`
`Window` `getWindow()`

Methods inherited from class org.gnu.gdk.Event
`eventsPending, get, getGraphicsExpose, getTime, peek, put`

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventExpose

    public EventExpose(Event evt)

  Promotion constructor. Construct the specific event object by promoting (sharing the `Handle` object of) the base `Event`.

### EventExpose

    public EventExpose(org.gnu.glib.Handle handle)

Method Detail

### getEventExpose

    public static EventExpose getEventExpose(org.gnu.glib.Handle handle)

  To be used internally by Java-Gnome only.

### getWindow

    public Window getWindow()

### getSendEvent

    public boolean getSendEvent()

### getArea

    public Rectangle getArea()

### getRegion

    public Region getRegion()

### getCount

    public int getCount()